io.vertx.rxjava.servicediscovery.types

## Class HttpEndpoint

- java.lang.Object
- - io.vertx.rxjava.servicediscovery.types.HttpEndpoint

-     public class HttpEndpoint
      extends Object

  for HTTP endpoint (REST api). Consumers receive a HTTP client configured with the host and port of the endpoint.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpEndpoint(HttpEndpoint delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Record` | `createRecord(String name, boolean ssl, String host, int port, String root, JsonObject metadata)` Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but let you configure whether or not the service is using `https`.
    `static Record` | `createRecord(String name, String host)` Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata, using the port 80 and using "/" as root.
    `static Record` | `createRecord(String name, String host, int port, String root)` Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata.
    `static Record` | `createRecord(String name, String host, int port, String root, JsonObject metadata)` Convenient method to create a record for a HTTP endpoint.
    `static void` | `getClient(ServiceDiscovery discovery, JsonObject filter, Handler<AsyncResult<HttpClient>> resultHandler)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `static Observable<HttpClient>` | `getClientObservable(ServiceDiscovery discovery, JsonObject filter)` Convenient method that looks for a HTTP endpoint and provides the configured .
    `Object` | `getDelegate()`
    `static HttpEndpoint` | `newInstance(HttpEndpoint arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpEndpoint

          public HttpEndpoint(HttpEndpoint delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### createRecord

          public static Record createRecord(String name,
                                            String host,
                                            int port,
                                            String root,
                                            JsonObject metadata)

      Convenient method to create a record for a HTTP endpoint.
      Parameters:
        `name` - the service name
        `host` - the host (IP or DNS name), it must be the _public_ IP / name
        `port` - the port, it must be the _public_ port
        `root` - the path of the service, "/" if not set
        `metadata` - additional metadata
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            boolean ssl,
                                            String host,
                                            int port,
                                            String root,
                                            JsonObject metadata)

      Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but let you configure whether or not the service is using `https`.
      Parameters:
        `name` - the service name
        `ssl` - whether or not the service is using HTTPS
        `host` - the host (IP or DNS name), it must be the _public_ IP / name
        `port` - the port, it must be the _public_ port
        `root` - the path of the service, "/" if not set
        `metadata` - additional metadata
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String host,
                                            int port,
                                            String root)

      Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata.
      Parameters:
        `name` - the service name
        `host` - the host, must be public
        `port` - the port
        `root` - the root, if not set "/" is used
      Returns:
        the created record

    - #### createRecord

          public static Record createRecord(String name,
                                            String host)

      Same as `createRecord(java.lang.String, java.lang.String, int, java.lang.String, io.vertx.core.json.JsonObject)` but without metadata, using the port 80 and using "/" as root.
      Parameters:
        `name` - the name
        `host` - the host
      Returns:
        the created record

    - #### getClient

          public static void getClient(ServiceDiscovery discovery,
                                       JsonObject filter,
                                       Handler<AsyncResult<HttpClient>> resultHandler)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `resultHandler` - The result handler

    - #### getClientObservable

          public static Observable<HttpClient> getClientObservable(ServiceDiscovery discovery,
                                                                   JsonObject filter)

      Convenient method that looks for a HTTP endpoint and provides the configured . The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:

    - #### newInstance

          public static HttpEndpoint newInstance(HttpEndpoint arg)

Copyright © 2016. All rights reserved.